Class getejiesversion
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.getejiesversion

public class getejiesversion
extends ej
Returns the current installed version and the current available version (Internet connection).
See Also:

  ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
getejiesversion() create a getejiesversion object

Method Summary
void | bang() returns installed version number and current available version

Methods inherited from class ej.ej
anything, dblclick, findVersion, inlet, inlet, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait

Constructor Detail
getejiesversion
public getejiesversion()

  create a getejiesversion object

Method Detail
bang
public void bang()

  returns installed version number and current available version
  Overrides:
    bang in class ej

Java API documentation generated with DocFlex/Doclet v1.6.0
DocFlex/Doclet is both a multi-format Javadoc doclet and a free edition of DocFlex/Javadoc. If you need to customize your Javadoc without writing a full-blown doclet from scratch, DocFlex/Javadoc may be the only tool able to help you! Find out more at www.docflex.com